@echo off
echo .
echo .
echo .
echo .
echo ................Espere 5 minutos por favor
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Verificando directorios
echo .
echo .
echo .
echo .
ren maps maps1
ren progs progs1
ren sound sound1
ren gfx gfx1
echo .
echo .
echo .
echo .
echo ................Si se detecta algun error, no importa
echo .
echo .
echo .
echo .
echo ................Iniciando extraccion pak0.pak
echo .
echo .
echo .
echo .
xpak pak0.pak -e *.*
echo .
echo .
echo .
echo ............... OK
echo .
echo .
echo ................Borrando lo que sobra
echo .
echo .
echo .
echo .
cd gfx
del complete.lmp
del conback.lmp
del dim_drct.lmp
del finale.lmp
del help0.lmp
del help1.lmp
del help2.lmp
del help3.lmp
del help4.lmp
del help5.lmp
del inter.lmp
del loading.lmp
del mainmenu.lmp
del mp_menu.lmp
del netmen2.lmp
del p_load.lmp
del p_multi.lmp
del p_option.lmp
del p_save.lmp
del pause.lmp
del ranking.lmp
del sp_menu.lmp
del ttl_cstm.lmp
del ttl_main.lmp
del ttl_sgl.lmp
del vidmodes.lmp
cd..
del pak0.pak
del demo1.dem
del progs.dat
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
cd maps
del start.bsp
echo .
echo .
echo .
echo ................Listo
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Moviendo mapas
move *.bsp ..\
cd..
echo .
echo .
echo ................OK
echo .
echo .
echo .
echo ................Iniciando compilacion
echo .
echo .
echo .
echo .
qbsp -onlyents e1m1.map
echo .
echo .
echo ................e1m1 compilado
echo .
echo .
qbsp -onlyents e1m2.map
echo .
echo .
echo ................e1m2 compilado
echo .
echo .
qbsp -onlyents e1m3.map
echo .
echo .
echo ................e1m3 compilado
echo .
echo .
qbsp -onlyents e1m4.map
echo .
echo .
echo ................e1m4 compilado
echo .
echo .
qbsp -onlyents e1m5.map
echo .
echo .
echo ................e1m5 compilado
echo .
echo .
qbsp -onlyents e1m6.map
echo .
echo .
echo ................e1m6 compilado
echo .
echo .
qbsp -onlyents e1m7.map
echo .
echo .
echo ................e1m7 compilado
echo .
echo .
qbsp -onlyents e1m8.map
echo .
echo .
echo ................e1m8 compilado
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Compilacion terminada
echo .
echo .
echo .
echo .
move *.bsp maps\
echo .
echo .
echo .
echo .
echo ................Iniciando empaquetado
echo .
echo .
echo .
echo .
xpak pak2.pak -a maps\*.bsp
echo .
echo .
echo ................mapas empaquetados
echo .
echo.
xpak pak2.pak -a *.dem
echo .
echo .
echo ................demos empaquetados
echo .
echo .
echo .
echo .
xpak pak2.pak -a end1.bin
echo .
echo .
echo ................end1.bin OK
echo .
echo .
xpak pak2.pak -a default.cfg
echo .
echo .
echo ................default.cfg OK
echo .
xpak pak2.pak -a quake.rc
echo .
echo .
echo ................quake.rc OK
echo .
echo .
xpak pak2.pak -a gfx.wad
echo .
echo .
echo ................gfx.wad OK
echo .
echo .
xpak pak2.pak -a progs\*.*
echo .
echo .
echo ................progs\*.* empaquetado
echo .
echo .
echo .
xpak pak2.pak -a gfx\*.*
echo .
echo .
echo ................gfx\*.* empaquetado
echo .
echo .
echo .
xpak pak2.pak -a sound\ambience\*.*
xpak pak2.pak -a sound\boss1\*.*
xpak pak2.pak -a sound\buttons\*.*
xpak pak2.pak -a sound\demon\*.*
xpak pak2.pak -a sound\dog\*.*
xpak pak2.pak -a sound\doors\*.*
xpak pak2.pak -a sound\hknight\*.*
xpak pak2.pak -a sound\items\*.*
xpak pak2.pak -a sound\knight\*.*
xpak pak2.pak -a sound\misc\*.*
xpak pak2.pak -a sound\ogre\*.*
xpak pak2.pak -a sound\plats\*.*
xpak pak2.pak -a sound\player\*.*
xpak pak2.pak -a sound\shambler\*.*
xpak pak2.pak -a sound\soldier\*.*
xpak pak2.pak -a sound\weapons\*.*
xpak pak2.pak -a sound\wizard\*.*
xpak pak2.pak -a sound\zombie\*.*
echo .
echo .
echo ................sound\ empaquetado
echo .
echo .
echo .
echo .
echo ................Empaquetado terminado
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Borrando lo que sobra
echo .
echo .
echo .
deltree -y maps
deltree -y gfx
deltree -y progs
deltree -y sound
del e1m1.map
del e1m2.map
del e1m3.map
del e1m4.map
del e1m5.map
del e1m6.map
del e1m7.map
del e1m8.map
del gfx.wad
del default.cfg
del demo2.dem
del demo3.dem
del end1.bin
del quake.rc
ren pak2.pak pak0.pak
echo .
echo .
echo .
echo ................Paquete pak0.pak procesado
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Iniciando el proceso con pak1.pak
echo .
echo .
echo .
echo .
if exist pak1.pak xpak pak1.pak -e *.*
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
if not exist pak1.pak echo ..................No se encontro el paquete pak1.pak
echo .
echo .
echo .
if exist end2.bin echo ............... OK
echo .
echo .
if exist end2.bin echo ................Borrando lo que sobra
echo .
echo .
echo .
echo .
if exist end2.bin del pak1.pak
echo .
echo .
echo .
echo .
if exist end2.bin echo ................Listo
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
if not exist end2.bin md maps
cd maps
if exist end2.bin echo ................Moviendo mapas
if exist *.bsp move *.bsp ..\
cd..
echo .
echo .
if exist end2.bin echo ................OK
echo .
echo .
echo .
if exist end2.bin echo ................Iniciando compilacion
echo .
echo .
echo .
echo .
if exist e2m1.bsp qbsp -onlyents e2m1.map
echo .
echo .
if exist end2.bin echo ................e2m1 compilado
echo .
echo .
if exist e2m2.bsp qbsp -onlyents e2m2.map
echo .
echo .
if exist end2.bin echo ................e2m2 compilado
echo .
echo .
if exist e2m3.bsp qbsp -onlyents e2m3.map
echo .
echo .
if exist end2.bin echo ................e2m3 compilado
echo .
echo .
if exist e2m4.bsp qbsp -onlyents e2m4.map
echo .
echo .
if exist end2.bin echo ................e2m4 compilado
echo .
echo .
if exist e2m5.bsp qbsp -onlyents e2m5.map
echo .
echo .
if exist end2.bin echo ................e2m5 compilado
echo .
echo .
if exist e2m6.bsp qbsp -onlyents e2m6.map
echo .
echo .
if exist end2.bin echo ................e2m6 compilado
echo .
echo .
if exist e2m7.bsp qbsp -onlyents e2m7.map
echo .
echo .
if exist end2.bin echo ................e2m7 compilado
echo .
echo .
if exist e3m1.bsp qbsp -onlyents e3m1.map
echo .
echo .
if exist end2.bin echo ................e3m1 compilado
echo .
echo .
echo .
if exist e3m2.bsp qbsp -onlyents e3m2.map
echo .
echo .
if exist end2.bin echo ................e3m2 compilado
echo .
echo .
if exist e3m3.bsp qbsp -onlyents e3m3.map
echo .
echo .
if exist end2.bin echo ................e3m3 compilado
echo .
echo .
if exist e3m4.bsp qbsp -onlyents e3m4.map
echo .
echo .
if exist end2.bin echo ................e3m4 compilado
echo .
echo .
if exist e3m5.bsp qbsp -onlyents e3m5.map
echo .
echo .
if exist end2.bin echo ................e3m5 compilado
echo .
echo .
if exist e3m6.bsp qbsp -onlyents e3m6.map
echo .
echo .
if exist end2.bin echo ................e3m6 compilado
echo .
echo .
if exist e3m7.bsp qbsp -onlyents e3m7.map
echo .
echo .
if exist end2.bin echo ................e3m7 compilado
echo .
echo .
if exist e4m1.bsp qbsp -onlyents e4m1.map
echo .
echo .
if exist end2.bin echo ................e4m1 compilado
echo .
echo .
echo .
if exist e4m2.bsp qbsp -onlyents e4m2.map
echo .
echo .
if exist end2.bin echo ................e4m2 compilado
echo .
echo .
echo .
if exist e4m3.bsp qbsp -onlyents e4m3.map
echo .
echo .
if exist end2.bin echo ................e4m3 compilado
echo .
echo .
if exist e4m4.bsp qbsp -onlyents e4m4.map
echo .
echo .
if exist end2.bin echo ................e4m4 compilado
echo .
echo .
if exist e4m5.bsp qbsp -onlyents e4m5.map
echo .
echo .
if exist end2.bin echo ................e4m5 compilado
echo .
echo .
if exist e4m6.bsp qbsp -onlyents e4m6.map
echo .
echo .
if exist end2.bin echo ................e4m6 compilado
echo .
echo .
if exist e4m7.bsp qbsp -onlyents e4m7.map
echo .
echo .
if exist end2.bin echo ................e4m7 compilado
echo .
echo .
if exist e4m8.bsp qbsp -onlyents e4m8.map
echo .
echo .
if exist end2.bin echo ................e4m8 compilado
echo .
echo .
echo .
if exist end.bsp qbsp -onlyents end.map
echo .
echo .
if exist end2.bin echo ................end compilado
echo .
echo .
echo .
if exist dm1.bsp qbsp -onlyents dm1.map
echo .
echo .
if exist end2.bin echo ................dm1 compilado
echo .
echo .
echo .
if exist dm2.bsp qbsp -onlyents dm2.map
echo .
echo .
if exist end2.bin echo ................dm2 compilado
echo .
echo .
echo .
if exist dm3.bsp qbsp -onlyents dm3.map
echo .
echo .
if exist end2.bin echo ................dm3 compilado
echo .
echo .
echo .
if exist dm4.bsp qbsp -onlyents dm4.map
echo .
echo .
if exist end2.bin echo ................dm4 compilado
echo .
echo .
echo .
if exist dm5.bsp qbsp -onlyents dm5.map
echo .
echo .
if exist end2.bin echo ................dm5 compilado
echo .
echo .
echo .
if exist dm6.bsp qbsp -onlyents dm6.map
echo .
echo .
if exist end2.bin echo ................dm6 compilado
echo .
echo .
echo .
if exist end2.bin echo ................Compilacion terminada
echo .
echo .
echo .
echo .
if exist end2.bin move *.bsp maps\
echo .
echo .
echo .
echo .
if exist end2.bin echo ................Iniciando empaquetado
echo .
echo .
echo .
echo .
if exist end2.bin xpak pak1.pak -a maps\*.bsp
echo .
echo .
if exist end2.bin echo ................mapas empaquetados
echo .
echo .
echo .
echo .
if exist end2.bin xpak pak1.pak -a end2.bin
echo .
echo .
if exist end2.bin echo ................end2.bin OK
echo .
echo .
if exist end2.bin xpak pak1.pak -a progs\*.*
echo .
echo .
if exist end2.bin echo ................progs\*.* empaquetado
echo .
echo .
echo .
if exist gfx\*.* xpak pak1.pak -a gfx\*.*
echo .
echo .
if exist end2.bin echo ................gfx\*.* empaquetado
echo .
echo .
echo .
if exist end2.bin xpak pak1.pak -a sound\blob\*.*
if exist end2.bin xpak pak1.pak -a sound\boss2\*.*
if exist end2.bin xpak pak1.pak -a sound\enforcer\*.*
if exist end2.bin xpak pak1.pak -a sound\fish\*.*
if exist end2.bin xpak pak1.pak -a sound\hknight\*.*
if exist end2.bin xpak pak1.pak -a sound\misc\*.*
if exist end2.bin xpak pak1.pak -a sound\shalrath\*.*
echo .
echo .
if exist end2.bin echo ................sound\ empaquetado
echo .
echo .
echo .
echo .
if exist end2.bin echo ................Empaquetado terminado
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
if exist end2.bin echo ................Borrando lo que sobra
echo .
echo .
echo .
if exist end2.bin deltree -y maps
if exist end2.bin deltree -y gfx
if exist end2.bin deltree -y progs
if exist end2.bin deltree -y sound
del e2m1.map
del e2m2.map
del e2m3.map
del e2m4.map
del e2m5.map
del e2m6.map
del e2m7.map
del e3m1.map
del e3m2.map
del e3m3.map
del e3m4.map
del e3m5.map
del e3m6.map
del e3m7.map
del e4m1.map
del e4m2.map
del e4m3.map
del e4m4.map
del e4m5.map
del e4m6.map
del e4m7.map
del e4m8.map
del end.map
del dm1.map
del dm2.map
del dm3.map
del dm4.map
del dm5.map
del dm6.map
if exist end2.bin del end2.bin
del qbsp.exe
del xpak.exe
echo .
echo .
echo .
if exist pak1.pak echo ................Paquete pak1.pak procesado
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo .
echo ................Recuperando copias de respaldo
echo .
echo .
echo .
echo .
ren maps1 maps
ren gfx1 gfx
ren progs1 progs
ren sound1 sound
echo .
echo .
echo .
echo ................Si se detecta un error aqui, no importa
echo .
echo .
echo ................Paquetes procesados
echo .
echo .
echo .
echo .
echo ................Patch ideado, implementado y traducido por:
echo .
echo .
echo .
echo ............................Mauricio Villablanca...........
echo .
echo .
echo .
echo .
echo ................Este programa ha terminado de ejecutarse
echo .
echo .
echo .
echo .
echo .
echo ....................Utilidad creada por Mauricio Villablanca
echo .
echo .                               @1997
echo .
